/* Common header styles */
.menu-open{overflow: hidden;}
header#site-header {
  background: #fff;
  width: 100%;
  position: fixed;
  top: 0px;
  z-index: 99;
  border-bottom: 1px solid #D3DEF1;
}
.logged-in.admin-bar header#site-header{
padding-top:20px;
}
.navbar {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 17px 0px;
  background: #fff;
}

.nav-custom-right{
 display: flex;
 align-items: center;
 gap: 25px;
}

.logo a {
  display: flex;
}
.logo img {
/* height: 36px; */
width: 100%;
}
.nav-menu ul {
  display: flex;
  list-style: none;
  gap: 48px;
}
.nav-menu a {
  text-decoration: none;
  /*
  color: #8B8B8B;
  font-weight: 400;*/
  font-size: 16px;
  line-height: 150%;
  letter-spacing: -0.32px;
  position: relative;
  color: #232323;
  font-weight: 500;
}
.nav-menu a:not(.login-btn):not(.nav-right):after{
 width: 0px;
 content: '';
 position: absolute;
 bottom: -5px;
 margin: 0px auto;
 left: 0;
 right: 0;
 height: 2px;
 background: var(--primary-color);
 transition: all 0.5s;
}
.nav-menu a:hover:after {
 width: 100%;
}

.nav-menu a:hover{color: var(--primary-color);}
.nav-right {
  display: flex;
  align-items: center;
  gap: 25px;
}

.nav-menu a.active,
.nav-menu .current-menu-item a
{
  color: var(--primary-color);
}

.for-mob-view, .menu-toggle{display: none;}

/* --- Mobile-only effects --- */

.profile-figure{
  width: 43px;
  height: 43px;
  border-radius: 100%;
  cursor: pointer;
  overflow: hidden;
  border:1px solid #ddd;

}
.profile-figure .ihc-no-avatar{
width: 100%;
height: 100%;
margin: 0px;
}

.profile-figure.have-name{
 background: #F1F6FF;
  display: flex;
  align-items: center;
  justify-content: center;
}

.user-name-initial {
 color: #232323;
 font-size: 20px;
 font-weight: 700;
 line-height: 150%;
}

.profile-figure img{
 max-width: 100%;
 max-height: initial;
}

/* Dropdown menu */
.user-profile-info {
 position: relative;
}
.profile-menu {
  position: absolute;
  top: 60px;
  right: -2px;
  width: 200px;
  background: #fff;
  border-radius: 10px;
  box-shadow: 0 8px 30px rgba(0,0,0,0.15);
  opacity: 0;
  visibility: hidden;
  transform: translateY(10px);
  transition: all 0.25s ease;
  z-index: 100;
}

.profile-menu ul {
  list-style: none;
  margin: 0 4px;
  padding: 0px;
}
.profile-menu ul:before {
  content: "";
  position: absolute;
  bottom: 100%;
  right: 10px;
  transform: translateX(-50%);
  border: 7px solid transparent;
  border-bottom-color: #fff;
  opacity: 1;
  transition: opacity 0.25s ease;
}

.profile-menu ul li:first-child a{
  border-radius: 10px 10px 0px 0px;
}
.profile-menu ul li:last-child a{
  border-radius: 0px 0px 10px 10px;
}

.profile-menu li a {
 display: block;
 padding: 10px 16px;
 font-size: 16px;
 color: #232323;
 text-decoration: none;
 line-height: 150%;
 font-weight: 700;
 /* opacity: 0.5; */
}
.profile-menu ul li:first-child a{
 padding: 10px 16px 5px 16px;
}
.profile-menu li a.logout-link{
 opacity: inherit;
 padding-top: 0px;
}

.profile-menu li a:hover {
  /* background: #f5f5f5; */
}

.profile-menu .divider {
  height: 1px;
  background: #eee;
  margin: 1px 0;
}

/* Active state */
.profile-menu.active {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}
.profile-menu .profile-intro
{
display: flex;
margin: 10px 20px 0px 20px;
font-weight: 500;
text-transform: capitalize;
}
.profile-menu ul li {
 width: 100%;
}
.profile-menu ul li:last-child a:hover {
 /* color: #ff0000; */
}


.profile-menu .profile-intro span {
 color: #232323;
 opacity: 0.5;
 font-size: 16px;
 font-style: normal;
 font-weight: 600;
 line-height: 150%;
 letter-spacing: -0.32px;
 width: 100%;
 border-bottom: 1px solid #E5E5E5;
 padding-bottom: 2px;
 word-wrap: break-word;
 overflow-wrap: break-word;
 word-break: break-word;
}

@media (min-width: 1025px) and (max-width: 1130px) {
  .nav-menu ul{ gap: 18px; }
  .phone-span span{display: none;}

}
@media (min-width: 1025px){
 .nav-custom-right div.nav-ul {
  display: none;
 }
}

@media (max-width: 1024px) {
  .menu-toggle{display: flex;}
  /* Hide normal desktop nav */
  .nav-menu, .nav-right { display: none; }

  /* Show mobile toggle */
  .for-mob-view{display: flex;align-items: center;gap: 10px;}
  .menu-toggle {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 4px;
    width: 25px;
    height: 25px;
    border-radius: 100%;
    cursor: pointer;
    z-index: 1001;
    background: rgba(255,255,255,0.9);
    backdrop-filter: blur(57px);
    /* padding: 12px; */
  }
  .nav-menu.active .nav-rows {
   flex-direction: column;
   gap: 25px;
   display: flex;
  }
  .nav-rows .nav-ul{
   display: flex;
   justify-content: center;
  } 
  .nav-rows .nav-ul .login-btn {
   background: #08A1EE;
   padding: 14px 24px;
   border-radius: 40px;
   line-height: 1;
   font-size: 16px;
   font-weight: 600;
   display: flex;
   align-items: center;
   color: #fff;
  } 



  .menu-toggle span {
    height: 2px;
    width: 100%;
    background: #0a573d;
    border-radius: 3px;
    transition: all 0.3s ease-in-out;
  }

  /* .menu-toggle.active {background: var(--primary-color);} */
  .menu-toggle.active span {background-color: #08A1EE;}
  .menu-toggle.active span:nth-child(1) {transform: rotate(45deg) translate(4px, 5px);}
  .menu-toggle.active span:nth-child(2) {opacity: 0;}
  .menu-toggle.active span:nth-child(3) {transform: rotate(-45deg) translate(3px, -4px);}

  /* Slide-in mobile menu */
  .nav-menu {
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 100%;
    max-width: 320px;
    background:  #fff;
    flex-direction: column;
    padding: 80px 20px;
    transform: translateX(100%);
    transition: transform 0.3s ease-in-out;
    z-index: 1000;
    display: flex;
    justify-content: space-between;
  }

  .nav-menu.active { transform: translateX(0);justify-content: center; }
  .nav-menu.active ul.nav-ul{
      flex-direction: column;
      justify-content: center;
      align-items: center;
      gap: 25px;
  }
  .nav-menu.active ul.nav-ul a{font-size: 24px;font-weight: 500;color: #000;}
  .nav-menu.active ul.nav-ul .current-menu-item a{color: #08A1EE;} 

  .nav-menu.active ul.nav-ul a.login-btn{
   color: #fff;
  }

  /* Background blur overlay */
  .shade-blur {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    background: rgb(198 215 244 / 80%);
    backdrop-filter: blur(12px);
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease-in-out;
    z-index: 500;
  }
  .menu-open .shade-blur {opacity: 1;visibility: visible;}
  #site-header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 9999;
    background: white;
  }
  #site-header.fixed { 
    transition: transform 0.3s ease, opacity 0.3s ease;
    transform: translateY(-100%);
    opacity: 0;
    
  }

  #site-header.fixed.show {transform: translateY(0);opacity: 1;}

  .profile-menu{top: 54px;right: 0px;}
  /* .profile-menu ul:before{right: 20px;} */
    
}

@media screen and (max-width: 767px) {
  .navbar {
    padding: 10px 0px;
  }
  .for-mob-view{
    gap: 5px; 
  }
  .main-wraper{
    padding-top: 64px !important;
  }
  .ask-for-question a{
    width: 150px;
    font-size: 15px;
  }
  
}

@media screen and (max-width: 520px) {
  .logo img {
    height: 38px;
  }
  .ask-for-question a span {
    display: none;
  }
  div.ask-for-question a{
    width: 43px;
    margin-right: 0px;
    height: 43px;
  }

}